.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    gap: 20px;
}

.card {
    background: #fff;
    border-radius: 12px;
    overflow: hidden;
    text-decoration: none;
    color: #000;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    height: 100%;
}

.card img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    display: block;
    margin-bottom: 10px;
}

.card h3 {
    /* padding: 15px;
    margin: 0; */
    font-size: 18px;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 12px;
}

.gallery img {
    width: 100%;
    border-radius: 10px;
    display: block;
}

.back {
    display: inline-block;
    margin-bottom: 20px;
    text-decoration: none;
    color: #000;
}

.gallery-thumbnail {
    width: 100%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-auto-rows: 200px;
    grid-auto-flow: dense;
    grid-gap: 20px;
}

.gallery-thumbnail :is(img, video) {
    width: 100%;
    height: 100%;
    overflow: hidden;
    object-fit: cover;
    object-position: center 35%;
    transition: all 0.5s ease;
    border-radius: 0.5rem;
}

.row-gap-4{
    row-gap: 1rem;
}